from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAxisZSupplier(XInterface, Protocol):
    def getZAxisTitle(self) -> XShape: ...
    def getZMainGrid(self) -> XPropertySet: ...
    def getZHelpGrid(self) -> XPropertySet: ...
    def getZAxis(self) -> XPropertySet: ...
